#include "chdecl.h"
void CH_type_class(current, sched, cop)
#define ARGUMENTS 38
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb4;
    case 2: goto c5;
    case 3: goto c91;
    case 4: goto cb94;
    case 5: goto c95;
    case 6: goto cb96;
    case 7: goto c97;
    case 8: goto c100;
    case 9: goto c110;
    case 10: goto cb152;
    case 11: goto c153;
    case 12: goto c156;
    case 13: goto c158;
    case 14: goto c160;
    case 15: goto c162;
    case 16: goto c164;
    case 17: goto c166;
    case 18: goto c168;
    case 19: goto c170;
    case 20: goto c172;
    case 21: goto c174;
    case 22: goto c176;
    case 23: goto c178;
    case 24: goto c180;
    case 25: goto c182;
    case 26: goto cb184;
    case 27: goto c185;
    case 28: goto c188;
    case 29: goto c190;
    case 30: goto c192;
    case 31: goto c194;
    case 32: goto cb195;
    case 33: goto c196;
    case 34: goto c199;
    case 35: goto c200;
    case 36: goto c232;
    case 37: goto c234;
    case 38: goto c235;
    case 39: goto c237;
    case 40: goto c239;
    case 41: goto c268;
    case 42: goto c293;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* new_inport 3 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).value = ch_val; REF(3).tsdr = & dr_inport;
/* connect 4 3 */
  if (REF(3).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(3).value.inport->refcount++;
  REF(4).value.outport = REF(3).value.inport;
  REF(4).tsdr = & dr_outport;
  current->ip = 1;
cb4:
/* receive 5 0 */
  if ((ch_returncode = che_receive(DEF(5),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c5:
/* prog_lit 6 , 2 */
  if ((ch_returncode = che_prog_lit(DEF(6),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 7 6 , 3 */
  if ((ch_returncode = che_procedure(DEF(7),DEF(6),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* move 8 7 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* prog_lit 9 , 4 */
  if ((ch_returncode = che_prog_lit(DEF(9),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 10 9 , 3 */
  if ((ch_returncode = che_procedure(DEF(10),DEF(9),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* move 11 10 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* prog_lit 12 , 5 */
  if ((ch_returncode = che_prog_lit(DEF(12),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 13 12 , 3 */
  if ((ch_returncode = che_procedure(DEF(13),DEF(12),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* move 14 13 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* prog_lit 15 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(15),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 16 15 , 7 */
  if ((ch_returncode = che_procedure(DEF(16),DEF(15),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* move 17 16 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* prog_lit 18 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(18),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 19 18 , 3 */
  if ((ch_returncode = che_procedure(DEF(19),DEF(18),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* move 20 19 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* prog_lit 21 , 9 */
  if ((ch_returncode = che_prog_lit(DEF(21),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 22 21 , 3 */
  if ((ch_returncode = che_procedure(DEF(22),DEF(21),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* move 23 22 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23) = REF(22);
  REF(22).tsdr = & dr_bottom;
/* prog_lit 24 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(24),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 25 24 , 3 */
  if ((ch_returncode = che_procedure(DEF(25),DEF(24),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* move 26 25 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* prog_lit 27 , 11 */
  if ((ch_returncode = che_prog_lit(DEF(27),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 28 27 , 3 */
  if ((ch_returncode = che_procedure(DEF(28),DEF(27),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* move 29 28 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29) = REF(28);
  REF(28).tsdr = & dr_bottom;
/* prog_lit 30 , 12 */
  if ((ch_returncode = che_prog_lit(DEF(30),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 31 30 , 3 */
  if ((ch_returncode = che_procedure(DEF(31),DEF(30),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* move 32 31 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32) = REF(31);
  REF(31).tsdr = & dr_bottom;
/* prog_lit 33 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(33),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 34 33 , 3 */
  if ((ch_returncode = che_procedure(DEF(34),DEF(33),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* move 35 34 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* prog_lit 36 , 14 */
  if ((ch_returncode = che_prog_lit(DEF(36),QUAL(14),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 37 36 , 3 */
  if ((ch_returncode = che_procedure(DEF(37),DEF(36),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* move 38 37 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38) = REF(37);
  REF(37).tsdr = & dr_bottom;
/* prog_lit 39 , 15 */
  if ((ch_returncode = che_prog_lit(DEF(39),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 40 39 , 3 */
  if ((ch_returncode = che_procedure(DEF(40),DEF(39),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* move 41 40 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41) = REF(40);
  REF(40).tsdr = & dr_bottom;
/* prog_lit 42 , 16 */
  if ((ch_returncode = che_prog_lit(DEF(42),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 43 42 , 3 */
  if ((ch_returncode = che_procedure(DEF(43),DEF(42),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* move 44 43 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44) = REF(43);
  REF(43).tsdr = & dr_bottom;
/* prog_lit 45 , 17 */
  if ((ch_returncode = che_prog_lit(DEF(45),QUAL(17),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 46 45 , 3 */
  if ((ch_returncode = che_procedure(DEF(46),DEF(45),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* move 47 46 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47) = REF(46);
  REF(46).tsdr = & dr_bottom;
/* prog_lit 48 , 18 */
  if ((ch_returncode = che_prog_lit(DEF(48),QUAL(18),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 49 48 , 3 */
  if ((ch_returncode = che_procedure(DEF(49),DEF(48),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* move 50 49 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50) = REF(49);
  REF(49).tsdr = & dr_bottom;
/* prog_lit 51 , 19 */
  if ((ch_returncode = che_prog_lit(DEF(51),QUAL(19),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 52 51 , 3 */
  if ((ch_returncode = che_procedure(DEF(52),DEF(51),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* move 53 52 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* prog_lit 54 , 20 */
  if ((ch_returncode = che_prog_lit(DEF(54),QUAL(20),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 55 54 , 3 */
  if ((ch_returncode = che_procedure(DEF(55),DEF(54),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* move 56 55 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(55);
  REF(55).tsdr = & dr_bottom;
/* prog_lit 57 , 21 */
  if ((ch_returncode = che_prog_lit(DEF(57),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 58 57 , 3 */
  if ((ch_returncode = che_procedure(DEF(58),DEF(57),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* move 59 58 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(58);
  REF(58).tsdr = & dr_bottom;
/* prog_lit 60 , 22 */
  if ((ch_returncode = che_prog_lit(DEF(60),QUAL(22),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 61 60 , 23 */
  if ((ch_returncode = che_procedure(DEF(61),DEF(60),QUAL(23)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* move 62 61 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62) = REF(61);
  REF(61).tsdr = & dr_bottom;
/* copy 63 5.0 */
  if((ch_returncode = cp_outport(& ch_val, REF(5)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = & dr_outport;
/* copy 64 5.1 */
  if((ch_returncode = (REF(5)DOT(1).tsdr->copy)(& ch_val, REF(5)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).value = ch_val;
  REF(64).tsdr = datarepmap[REF(5)DOT(1).tsdr->number];
/* copy 65 5.2 */
  if((ch_returncode = (REF(5)DOT(2).tsdr->copy)(& ch_val, REF(5)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).value = ch_val;
  REF(65).tsdr = datarepmap[REF(5)DOT(2).tsdr->number];
/* move 5.3 4 */
  (*(REF(5)DOT(3).tsdr)->finalize)(REF(5)DOT(3).value,F_DISCARD,sched);
  REF(5)DOT(3) = REF(4);
  REF(4).tsdr = & dr_bottom;
/* return 5 */
  if (ch_caller = do_return(REF(5).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(5).value);
  REF(5).tsdr = & dr_bottom;
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* new_record 66 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).value = ch_val; REF(66).tsdr = & dr_record;
/* ordenum_lit 66.1 , 4 */
  REF(66)DOT(1).value.ord_enum = 4;
  REF(66)DOT(1).tsdr = & dr_ord_enumeration;
/* new_table 66.2 , 24 */
  if ((ch_returncode = che_new_table(DEF(66)DOT(2),QUAL(24)
    ,sched)) != Normal)  goto ch_raise_exception;
c91:
/* noop */
  
/* block , 25 */
  if((ch_returncode = che_block(QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 4;
cb94:
/* receive 67 3 */
  if ((ch_returncode = che_receive(DEF(67),DEF(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c95:
/* block , 26 */
  if((ch_returncode = che_block(QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 6;
cb96:
/* call 63 67.1 64.1.0 65 67.2 68 , 27 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(63),
          arguments[1] = DEF(67)DOT(1),
          arguments[2] = DEF(64)DOT(1)DOT(0),
          arguments[3] = DEF(65),
          arguments[4] = DEF(67)DOT(2),
          arguments[5] = DEF(68),
          arguments[5+1] = nil,& arguments[0]),QUAL(27),sched)) != Normal)
     goto ch_raise_exception;
  return;
c97:
/* move 69 68 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69) = REF(68);
  REF(68).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 110 */
   goto c110;
c100:
/* new_record 70 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).value = ch_val; REF(70).tsdr = & dr_record;
/* copy 70.0 67.1.0 */
  if((ch_returncode = (REF(67)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(67)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(70)DOT(0).tsdr)->finalize)(REF(70)DOT(0).value,F_DISCARD,sched);
  REF(70)DOT(0).value = ch_val;
  REF(70)DOT(0).tsdr = datarepmap[REF(67)DOT(1)DOT(0).tsdr->number];
/* new_record 71 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).value = ch_val; REF(71).tsdr = & dr_record;
/* copy 71.0 67.0 */
  REF(71)DOT(0) = REF(67)DOT(0);
/* copy 71.1 67.1 */
  if((ch_returncode = (REF(67)DOT(1).tsdr->copy)(& ch_val, REF(67)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(71)DOT(1).tsdr)->finalize)(REF(71)DOT(1).value,F_DISCARD,sched);
  REF(71)DOT(1).value = ch_val;
  REF(71)DOT(1).tsdr = datarepmap[REF(67)DOT(1).tsdr->number];
/* copy 71.2 67.5 */
  if((ch_returncode = (REF(67)DOT(5).tsdr->copy)(& ch_val, REF(67)DOT(5).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(71)DOT(2).tsdr)->finalize)(REF(71)DOT(2).value,F_DISCARD,sched);
  REF(71)DOT(2).value = ch_val;
  REF(71)DOT(2).tsdr = datarepmap[REF(67)DOT(5).tsdr->number];
/* unite 70.1 71 , 2 */
  if ((ch_returncode = che_unite(DEF(70)DOT(1),DEF(71),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 67.3 70 */
  if ((ch_returncode = insertfunc(DEF(67)DOT(3),DEF(70),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 28 */
  ch_e = handler_type__exit; ch_val = QUAL(28); goto ch_exception;
c110:
/* block , 29 */
  if((ch_returncode = che_block(QUAL(29),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 67.0 =(6) , 151 */
  if ( REF(67)DOT(0).value.enumeration == 6 ) goto c151;
/* equal . 67.0 =(16) , 156 */
  if ( REF(67)DOT(0).value.enumeration == 16 ) goto c156;
/* equal . 67.0 =(15) , 158 */
  if ( REF(67)DOT(0).value.enumeration == 15 ) goto c158;
/* equal . 67.0 =(14) , 160 */
  if ( REF(67)DOT(0).value.enumeration == 14 ) goto c160;
/* equal . 67.0 =(13) , 162 */
  if ( REF(67)DOT(0).value.enumeration == 13 ) goto c162;
/* equal . 67.0 =(12) , 164 */
  if ( REF(67)DOT(0).value.enumeration == 12 ) goto c164;
/* equal . 67.0 =(11) , 166 */
  if ( REF(67)DOT(0).value.enumeration == 11 ) goto c166;
/* equal . 67.0 =(10) , 168 */
  if ( REF(67)DOT(0).value.enumeration == 10 ) goto c168;
/* equal . 67.0 =(19) , 170 */
  if ( REF(67)DOT(0).value.enumeration == 19 ) goto c170;
/* equal . 67.0 =(9) , 172 */
  if ( REF(67)DOT(0).value.enumeration == 9 ) goto c172;
/* equal . 67.0 =(8) , 174 */
  if ( REF(67)DOT(0).value.enumeration == 8 ) goto c174;
/* equal . 67.0 =(7) , 176 */
  if ( REF(67)DOT(0).value.enumeration == 7 ) goto c176;
/* equal . 67.0 =(5) , 178 */
  if ( REF(67)DOT(0).value.enumeration == 5 ) goto c178;
/* equal . 67.0 =(4) , 180 */
  if ( REF(67)DOT(0).value.enumeration == 4 ) goto c180;
/* equal . 67.0 =(3) , 182 */
  if ( REF(67)DOT(0).value.enumeration == 3 ) goto c182;
/* equal . 67.0 =(18) , 184 */
  if ( REF(67)DOT(0).value.enumeration == 18 ) goto c184;
/* equal . 67.0 =(2) , 188 */
  if ( REF(67)DOT(0).value.enumeration == 2 ) goto c188;
/* equal . 67.0 =(1) , 190 */
  if ( REF(67)DOT(0).value.enumeration == 1 ) goto c190;
/* equal . 67.0 =(0) , 192 */
  if ( REF(67)DOT(0).value.enumeration == 0 ) goto c192;
/* branch , 194 */
   goto c194;
c151:
/* new_table 72 , 30 */
  if ((ch_returncode = che_new_table(DEF(72),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 10;
cb152:
/* call 62 69 65 72 73 , 31 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(62),
          arguments[1] = DEF(69),
          arguments[2] = DEF(65),
          arguments[3] = DEF(72),
          arguments[4] = DEF(73),
          arguments[4+1] = nil,& arguments[0]),QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
  return;
c153:
/* move 74 73 */
  REF(74) = REF(73);
  REF(73).tsdr = & dr_bottom;
/* exit , 32 */
  ch_e = handler_type__exit; ch_val = QUAL(32); goto ch_exception;
c156:
/* copy 75 59 */
  if((ch_returncode = cp_outport(& ch_val, REF(59).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c158:
/* copy 75 56 */
  if((ch_returncode = cp_outport(& ch_val, REF(56).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c160:
/* copy 75 53 */
  if((ch_returncode = cp_outport(& ch_val, REF(53).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c162:
/* copy 75 50 */
  if((ch_returncode = cp_outport(& ch_val, REF(50).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c164:
/* copy 75 47 */
  if((ch_returncode = cp_outport(& ch_val, REF(47).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c166:
/* copy 75 44 */
  if((ch_returncode = cp_outport(& ch_val, REF(44).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c168:
/* copy 75 41 */
  if((ch_returncode = cp_outport(& ch_val, REF(41).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c170:
/* copy 75 38 */
  if((ch_returncode = cp_outport(& ch_val, REF(38).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c172:
/* copy 75 35 */
  if((ch_returncode = cp_outport(& ch_val, REF(35).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c174:
/* copy 75 32 */
  if((ch_returncode = cp_outport(& ch_val, REF(32).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c176:
/* copy 75 29 */
  if((ch_returncode = cp_outport(& ch_val, REF(29).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c178:
/* copy 75 26 */
  if((ch_returncode = cp_outport(& ch_val, REF(26).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c180:
/* copy 75 23 */
  if((ch_returncode = cp_outport(& ch_val, REF(23).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c182:
/* copy 75 20 */
  if((ch_returncode = cp_outport(& ch_val, REF(20).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c184:
  current->ip = 26;
cb184:
/* call 17 67.1 64.1.0 65 14 76 , 33 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17),
          arguments[1] = DEF(67)DOT(1),
          arguments[2] = DEF(64)DOT(1)DOT(0),
          arguments[3] = DEF(65),
          arguments[4] = DEF(14),
          arguments[5] = DEF(76),
          arguments[5+1] = nil,& arguments[0]),QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
  return;
c185:
/* move 74 76 */
  REF(74) = REF(76);
  REF(76).tsdr = & dr_bottom;
/* exit , 32 */
  ch_e = handler_type__exit; ch_val = QUAL(32); goto ch_exception;
c188:
/* copy 75 14 */
  if((ch_returncode = cp_outport(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c190:
/* copy 75 11 */
  if((ch_returncode = cp_outport(& ch_val, REF(11).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c192:
/* copy 75 8 */
  if((ch_returncode = cp_outport(& ch_val, REF(8).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val;
  REF(75).tsdr = & dr_outport;
/* branch , 195 */
   goto c195;
c194:
/* exit , 34 */
  ch_e = handler_type__exit; ch_val = QUAL(34); goto ch_exception;
c195:
  current->ip = 32;
cb195:
/* call 75 69 65 77 , 35 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(75),
          arguments[1] = DEF(69),
          arguments[2] = DEF(65),
          arguments[3] = DEF(77),
          arguments[3+1] = nil,& arguments[0]),QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
  return;
c196:
/* move 74 77 */
  REF(74) = REF(77);
  REF(77).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 200 */
   goto c200;
c199:
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
c200:
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* not 78 74 */
  REF(78).value.boolean = !REF(74).value.boolean;
  REF(78).tsdr = & dr_boolean;
/* branch_false 78 , 228 */
  if ( !REF(78).value.boolean ) goto c228;
/* copy 79 66 */
  if((ch_returncode = cp_record(& ch_val, REF(66).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val;
  REF(79).tsdr = & dr_record;
/* notequal . 67.0 =(18) , 209 */
  if ( REF(67)DOT(0).value.enumeration != 18 ) goto c209;
/* ordenum_lit 79.1 , 11 */
  REF(79)DOT(1).value.ord_enum = 11;
  REF(79)DOT(1).tsdr = & dr_ord_enumeration;
c209:
/* copy 80 67.5 */
  if((ch_returncode = (REF(67)DOT(5).tsdr->copy)(& ch_val, REF(67)DOT(5).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).value = ch_val;
  REF(80).tsdr = datarepmap[REF(67)DOT(5).tsdr->number];
/* unite 79.0 80 , 0 */
  if ((ch_returncode = che_unite(DEF(79)DOT(0),DEF(80),sched,0)) != Normal)
     goto ch_raise_exception;
/* copy 81 67.1 */
  if((ch_returncode = (REF(67)DOT(1).tsdr->copy)(& ch_val, REF(67)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).value = ch_val;
  REF(81).tsdr = datarepmap[REF(67)DOT(1).tsdr->number];
/* unite 82 81 , 0 */
  if ((ch_returncode = che_unite(DEF(82),DEF(81),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 79.2 82 */
  if ((ch_returncode = insertfunc(DEF(79)DOT(2),DEF(82),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* equal . 67.0 =(18) , 225 */
  if ( REF(67)DOT(0).value.enumeration == 18 ) goto c225;
/* unite 82 69 , 2 */
  if ((ch_returncode = che_unite(DEF(82),DEF(69),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 79.2 82 */
  if ((ch_returncode = insertfunc(DEF(79)DOT(2),DEF(82),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 83 67.0 */
  REF(83) = REF(67)DOT(0);
/* unite 82 83 , 5 */
  if ((ch_returncode = che_unite(DEF(82),DEF(83),sched,5)) != Normal)
     goto ch_raise_exception;
/* insert 79.2 82 */
  if ((ch_returncode = insertfunc(DEF(79)DOT(2),DEF(82),FALSE,0)) != Normal)
     goto ch_raise_exception;
c225:
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* insert 67.4 79 */
  if ((ch_returncode = insertfunc(DEF(67)DOT(4),DEF(79),FALSE,0)) != Normal)
     goto ch_raise_exception;
c228:
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* return 67 */
  if (ch_caller = do_return(REF(67).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(67).value);
  REF(67).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 235 */
   goto c235;
c232:
/* return 67 */
  if (ch_caller = do_return(REF(67).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(67).value);
  REF(67).tsdr = & dr_bottom;
/* branch , 235 */
   goto c235;
c234:
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
c235:
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* branch , 91 */
   goto c91;
c237:
/* endblock */
  che_endblock(sched);
/* branch , 268 */
   goto c268;
c239:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
c268:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c293:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
